Package org.flowable.dmn.api

# Class DecisionExecutionAuditContainer

java.lang.Object
org.flowable.dmn.api.DecisionExecutionAuditContainer

Direct Known Subclasses:
  `DecisionServiceExecutionAuditContainer`

public class DecisionExecutionAuditContainer extends Object

Author:
  Yvo Swillens, Erik Winlof

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `decisionKey`
  `protected String`
  `decisionName`
  `protected List<Map<String,Object>>`
  `decisionResult`
  `protected Map<String,String>`
  `decisionResultTypes`
  `protected int`
  `decisionVersion`
  `protected String`
  `dmnDeploymentId`
  `protected Date`
  `endTime`
  `protected String`
  `exceptionMessage`
  `protected Boolean`
  `failed`
  `protected String`
  `hitPolicy`
  `protected Map<String,Object>`
  `inputVariables`
  `protected Map<String,String>`
  `inputVariableTypes`
  `protected boolean`
  `multipleResults`
  `protected Map<Integer,RuleExecutionAuditContainer>`
  `ruleExecutions`
  `protected Date`
  `startTime`
  `protected Boolean`
  `strictMode`
  `protected String`
  `validationMessage`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecisionExecutionAuditContainer()`
  `DecisionExecutionAuditContainer(String decisionKey, String decisionName, int decisionVersion, Boolean strictMode, Map<String,Object> inputVariables, Date startTime)`
  `DecisionExecutionAuditContainer(String decisionKey, String decisionName, int decisionVersion, HitPolicy hitPolicy, Boolean strictMode, Map<String,Object> inputVariables, Date startTime)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDecisionResultObject(Map<String,Object> decisionResultObject)`
  `void`
  `addDecisionResultType(String decisionResultId, String decisionResultType)`
  `void`
  `addInputEntry(int ruleNumber, String inputEntryId, Boolean executionResult)`
  `void`
  `addInputEntry(int ruleNumber, String inputEntryId, String exceptionMessage, Boolean executionResult)`
  `void`
  `addOutputEntry(int ruleNumber, String outputEntryId, Object executionResult)`
  `void`
  `addOutputEntry(int ruleNumber, String outputEntryId, String exceptionMessage, Object executionResult)`
  `void`
  `addRuleEntry(DecisionRule rule)`
  `protected Map<String,Object>`
  `createDefensiveCopyInputVariables(Map<String,Object> inputVariables)`
  `String`
  `getDecisionKey()`
  `String`
  `getDecisionName()`
  `List<Map<String,Object>>`
  `getDecisionResult()`
  `Map<String,String>`
  `getDecisionResultTypes()`
  `int`
  `getDecisionVersion()`
  `String`
  `getDmnDeploymentId()`
  `Date`
  `getEndTime()`
  `String`
  `getExceptionMessage()`
  `String`
  `getHitPolicy()`
  `Map<String,Object>`
  `getInputVariables()`
  `Map<String,String>`
  `getInputVariableTypes()`
  `Map<Integer,RuleExecutionAuditContainer>`
  `getRuleExecutions()`
  `Date`
  `getStartTime()`
  `String`
  `getValidationMessage()`
  `protected Map<String,String>`
  `getVariablesTypeMap(Map<String,Object> variableValuesMap)`
  `protected static boolean`
  `isBoolean(Object obj)`
  `protected static boolean`
  `isDate(Object obj)`
  `Boolean`
  `isFailed()`
  `boolean`
  `isMultipleResults()`
  `protected static boolean`
  `isNumber(Object obj)`
  `Boolean`
  `isStrictMode()`
  `void`
  `markRuleEnd(int ruleNumber)`
  `void`
  `markRuleValid(int ruleNumber)`
  `void`
  `setDecisionResult(List<Map<String,Object>> decisionResult)`
  `void`
  `setDmnDeploymentId(String dmnDeploymentId)`
  `void`
  `setExceptionMessage(String exceptionMessage)`
  `void`
  `setFailed()`
  `void`
  `setInputVariableTypes(Map<String,String> inputVariableTypes)`
  `void`
  `setMultipleResults(boolean multipleResults)`
  `void`
  `setStrictMode(Boolean strictMode)`
  `void`
  `setValidationMessage(String validationMessage)`
  `void`
  `stopAudit(Date endTime)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### decisionKey

    protected String decisionKey

  - ### decisionName

    protected String decisionName

  - ### decisionVersion

    protected int decisionVersion

  - ### hitPolicy

    protected String hitPolicy

  - ### dmnDeploymentId

    protected String dmnDeploymentId

  - ### startTime

    protected Date startTime

  - ### endTime

    protected Date endTime

  - ### inputVariables

    protected Map<String,Object> inputVariables

  - ### inputVariableTypes

    protected Map<String,String> inputVariableTypes

  - ### decisionResult

    protected List<Map<String,Object>> decisionResult

  - ### multipleResults

    protected boolean multipleResults

  - ### decisionResultTypes

    protected Map<String,String> decisionResultTypes

  - ### ruleExecutions

    protected Map<Integer,RuleExecutionAuditContainer> ruleExecutions

  - ### failed

    protected Boolean failed

  - ### exceptionMessage

    protected String exceptionMessage

  - ### validationMessage

    protected String validationMessage

  - ### strictMode

    protected Boolean strictMode

- ## Constructor Details

  - ### DecisionExecutionAuditContainer

    public DecisionExecutionAuditContainer()

  - ### DecisionExecutionAuditContainer

    public DecisionExecutionAuditContainer(String decisionKey, String decisionName, int decisionVersion, Boolean strictMode, Map<String,Object> inputVariables, Date startTime)

  - ### DecisionExecutionAuditContainer

    public DecisionExecutionAuditContainer(String decisionKey, String decisionName, int decisionVersion, HitPolicy hitPolicy, Boolean strictMode, Map<String,Object> inputVariables, Date startTime)

- ## Method Details

  - ### getVariablesTypeMap

    protected Map<String,String> getVariablesTypeMap(Map<String,Object> variableValuesMap)

  - ### stopAudit

    public void stopAudit(Date endTime)

  - ### addRuleEntry

    public void addRuleEntry(DecisionRule rule)

  - ### markRuleEnd

    public void markRuleEnd(int ruleNumber)

  - ### markRuleValid

    public void markRuleValid(int ruleNumber)

  - ### addInputEntry

    public void addInputEntry(int ruleNumber, String inputEntryId, Boolean executionResult)

  - ### addInputEntry

    public void addInputEntry(int ruleNumber, String inputEntryId, String exceptionMessage, Boolean executionResult)

  - ### addOutputEntry

    public void addOutputEntry(int ruleNumber, String outputEntryId, Object executionResult)

  - ### addOutputEntry

    public void addOutputEntry(int ruleNumber, String outputEntryId, String exceptionMessage, Object executionResult)

  - ### setDecisionResult

    public void setDecisionResult(List<Map<String,Object>> decisionResult)

  - ### isMultipleResults

    public boolean isMultipleResults()

  - ### setMultipleResults

    public void setMultipleResults(boolean multipleResults)

  - ### addDecisionResultObject

    public void addDecisionResultObject(Map<String,Object> decisionResultObject)

  - ### getDecisionKey

    public String getDecisionKey()

  - ### getDecisionName

    public String getDecisionName()

  - ### getDecisionVersion

    public int getDecisionVersion()

  - ### getHitPolicy

    public String getHitPolicy()

  - ### getStartTime

    public Date getStartTime()

  - ### getEndTime

    public Date getEndTime()

  - ### getInputVariables

    public Map<String,Object> getInputVariables()

  - ### getRuleExecutions

    public Map<Integer,RuleExecutionAuditContainer> getRuleExecutions()

  - ### getDecisionResult

    public List<Map<String,Object>> getDecisionResult()

  - ### getDmnDeploymentId

    public String getDmnDeploymentId()

  - ### setDmnDeploymentId

    public void setDmnDeploymentId(String dmnDeploymentId)

  - ### isFailed

    public Boolean isFailed()

  - ### setFailed

    public void setFailed()

  - ### getExceptionMessage

    public String getExceptionMessage()

  - ### setExceptionMessage

    public void setExceptionMessage(String exceptionMessage)

  - ### getValidationMessage

    public String getValidationMessage()

  - ### setValidationMessage

    public void setValidationMessage(String validationMessage)

  - ### isStrictMode

    public Boolean isStrictMode()

  - ### setStrictMode

    public void setStrictMode(Boolean strictMode)

  - ### getInputVariableTypes

    public Map<String,String> getInputVariableTypes()

  - ### setInputVariableTypes

    public void setInputVariableTypes(Map<String,String> inputVariableTypes)

  - ### getDecisionResultTypes

    public Map<String,String> getDecisionResultTypes()

  - ### addDecisionResultType

    public void addDecisionResultType(String decisionResultId, String decisionResultType)

  - ### isBoolean

    protected static boolean isBoolean(Object obj)

  - ### isDate

    protected static boolean isDate(Object obj)

  - ### isNumber

    protected static boolean isNumber(Object obj)

  - ### createDefensiveCopyInputVariables

    protected Map<String,Object> createDefensiveCopyInputVariables(Map<String,Object> inputVariables)